%define upstream_name    POE-Component-Client-HTTP
%define upstream_version 0.949

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Non-blocking/parallel web requests engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Headers) >= 5.810.0
BuildRequires: perl(HTTP::Request) >= 5.811.0
BuildRequires: perl(HTTP::Request::Common) >= 5.811.0
BuildRequires: perl(HTTP::Response) >= 5.813.0
BuildRequires: perl(HTTP::Status) >= 5.811.0
BuildRequires: perl(Net::HTTP::Methods) >= 5.812.0
BuildRequires: perl(POE) >= 1.312.0
BuildRequires: perl(POE::Component::Client::Keepalive) >= 0.271.0
BuildRequires: perl(Socket) >= 2.1.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::POE::Server::TCP) >= 1.140.0
BuildRequires: perl(URI) >= 1.370.0
BuildArch:  noarch

%{?perl_default_filter}

%description
The HTTPHead filter turns stream data that has the appropriate format
into a HTTP::Response object. In an all-POE world, this would sit on
the other end of a connection as POE::Filter::HTTPD/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/POE


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.949.0-9.mga9
+ Revision: 1830019
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.949.0-8.mga8
+ Revision: 1496875
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.949.0-7.mga7
+ Revision: 1270853
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.949.0-6.mga6
+ Revision: 1032443
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.949.0-5.mga6
+ Revision: 948359
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.949.0-4.mga5
+ Revision: 746215
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.949.0-3.mga5
+ Revision: 733316
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.949.0-2.mga5
+ Revision: 685811
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 sander85 <sander85> 0.949.0-1.mga5
+ Revision: 650889
- update to 0.949

* Sat Oct 19 2013 umeabot <umeabot> 0.948.0-2.mga4
+ Revision: 527190
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.948.0-1.mga4
+ Revision: 439678
- update to 0.948

* Sun Jan 13 2013 umeabot <umeabot> 0.947.0-2.mga3
+ Revision: 371217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.947.0-1.mga3
+ Revision: 255900
- update to 0.947
- update to 0.944

* Fri Jun 17 2011 jquelin <jquelin> 0.943.0-1.mga2
+ Revision: 109076
- update to 0.943

* Tue Feb 22 2011 jquelin <jquelin> 0.942.0-1.mga1
+ Revision: 56872
- update to 0.942

* Mon Jan 24 2011 jquelin <jquelin> 0.895.0-1.mga1
+ Revision: 37120
- mageia rebuild
- imported package perl-POE-Component-Client-HTTP


* Mon Feb 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.895.0-1mdv2010.1
+ Revision: 506243
- update to 0.895

* Mon Feb 01 2010 Jérôme Quelin <jquelin@mandriva.org> 0.894.0-1mdv2010.1
+ Revision: 498984
- update to 0.894

* Sat Dec 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.893.0-1mdv2010.1
+ Revision: 473722
- update to 0.893

* Tue Nov 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.892.0-1mdv2010.1
+ Revision: 466754
- update to 0.892
- update to 0.892

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.891.0-1mdv2010.1
+ Revision: 461346
- update to 0.891

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.890.0-1mdv2010.0
+ Revision: 408854
- update to 0.890

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2010.0
+ Revision: 404347
- rebuild using %%perl_convert_version

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.88-1mdv2009.1
+ Revision: 343836
- update to new version 0.88

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.87-1mdv2009.1
+ Revision: 314307
- update to new version 0.87

* Mon Jul 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.85-1mdv2009.0
+ Revision: 235606
- update to new version 0.85

* Thu May 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-2mdv2009.0
+ Revision: 212953
- spec and description cleanup

* Thu May 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2009.0
+ Revision: 212936
- update to new version 0.84

* Mon Apr 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2009.0
+ Revision: 196166
- update to new version 0.83

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Jérôme Quelin <jquelin@mandriva.org> 0.82-1mdv2008.1
+ Revision: 108703
- import perl-POE-Component-Client-HTTP


